Page MenuHomePhabricator

Decom/repurpose rbf* hosts
Closed, ResolvedPublic

Description

rbf* hosts (Redis BloomFilter), in both eqiad & codfw, are not/will not be used anymore, per @aaron, see T93006.

These hosts can be decommissioned and reused for other purposes.

Event Timeline

faidon created this task.Apr 6 2015, 5:45 AM
faidon raised the priority of this task from to Needs Triage.
faidon updated the task description. (Show Details)
faidon added subscribers: faidon, RobH, Joe, aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 5:45 AM
Andrew triaged this task as Medium priority.Apr 6 2015, 4:39 PM
Andrew set Security to None.

Change 202242 had a related patch set uploaded (by John F. Lewis):
decom rbf[1-2]00[1-2]

https://gerrit.wikimedia.org/r/202242

Dzahn claimed this task.Apr 6 2015, 9:18 PM

Change 202242 merged by Dzahn:
decom rbf[1-2]00[1-2]

https://gerrit.wikimedia.org/r/202242

Dzahn added a comment.Apr 6 2015, 9:40 PM

[palladium:~] $ sudo puppetstoredconfigclean.rb rbf1001.eqiad.wmnet
Killing rbf1001.eqiad.wmnet...done.
[palladium:~] $ sudo puppetstoredconfigclean.rb rbf1002.eqiad.wmnet
Killing rbf1002.eqiad.wmnet...done.
[palladium:~] $ sudo puppetstoredconfigclean.rb rbf2001.codfw.wmnet
Killing rbf2001.codfw.wmnet...done.
[palladium:~] $ sudo puppetstoredconfigclean.rb rbf2002.codfw.wmnet
Killing rbf2002.codfw.wmnet...done.

Change 202298 had a related patch set uploaded (by John F. Lewis):
remove rbf* production dns

https://gerrit.wikimedia.org/r/202298

Dzahn added a comment.Apr 8 2015, 10:56 PM

rbf1001/rbf1002: gone from icinga. disabled puppet and salt. stopped redis-server, shutdown servers shortly after

rbf2001/2002: gone from icinga, revoked salt keys, revoked puppet certs, powered down

Change 203216 had a related patch set uploaded (by Dzahn):
remove rbf hosts from DHCP

https://gerrit.wikimedia.org/r/203216

Change 203217 had a related patch set uploaded (by Dzahn):
delete rbf hosts from hiera

https://gerrit.wikimedia.org/r/203217

Change 203216 merged by Dzahn:
delete rbf hosts from DHCP and netboot

https://gerrit.wikimedia.org/r/203216

Change 202298 merged by Dzahn:
remove rbf* production dns

https://gerrit.wikimedia.org/r/202298

Change 203217 merged by Dzahn:
delete rbf hosts from hiera

https://gerrit.wikimedia.org/r/203217

Dzahn added a comment.Apr 10 2015, 6:21 PM

@RobH

for rbf* i went through all the decom steps listed above, incl. DNS removal and powering them down.

in this case the entire server type "rbf" is not going to exist anymore, so anything "rbf" is gone from puppet (incl. netboot/DHCP/partman,hiera) and DNS repo incl. the named mgmt entries but mgmt can still be reached via the "WMF" name or IP. --> https://gerrit.wikimedia.org/r/#/c/202298/4/templates/wmnet

giving ticket to you now per Lifecycle step " If system is reclaimed into spares, ticket should be assigned to the HW Allocation Tech so he can update spares lists for allocation." and for:

https://racktables.wikimedia.org/?page=search&q=rbf

Dzahn reassigned this task from Dzahn to RobH.Apr 10 2015, 6:22 PM
Dzahn added a comment.Apr 10 2015, 7:26 PM

service tags:

8W62BP1 (rbf1001)
8W23BP1 (rbf1002)
17046X1 (rbf2001)
47046X1 (rbf2002)

RobH closed this task as Resolved.Apr 15 2015, 9:25 PM

added back to spares